Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 3.7.0SynchronousAuth Required

UpdateEmailAddressOfSNSEmailEndpoint

UpdateEmailAddressOfSNSEmailEndpoint

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updateemailaddressofsnsemailendpointObjectRequired

    updateemailaddressofsnsemailendpoint request body object.

    • emailAddressUuidStringRequired

      The email address UUID.

    • endpointUuidStringRequired

      The endpoint UUID.

    • emailAddressStringRequired

      The address of the new email.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySNSEmailAddressInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • emailAddressStringRequired

      邮箱地址。

    • endpointUuidStringRequired

      端点UUID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/sns/application-endpoints/emails/email-addresses

/zstack/v1/sns/application-endpoints/emails/email-addresses

Operation ID

UpdateEmailAddressOfSNSEmailEndpoint

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/emails/email-addresses' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateemailaddressofsnsemailendpoint":{"emailAddressUuid":"<emailAddressUuid>","endpointUuid":"<endpointUuid>","emailAddress":"<emailAddress>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "4d5bf84154764c9fb6e91c6739081bcf", "emailAddress": "example@zstack.io", "endpointUuid": "aac215a1d95d43c4ba4cad7ed3ad1670", "createDate": "Dec 25, 2023 2:07:43 PM", "lastOpDate": "Dec 25, 2023 2:07:43 PM" } }

Change History

This API has no change history records yet.

View all change history